# Enum ExceptionConst.EXCS

java.lang.Object
java.lang.Enum<ExceptionConst.EXCS>
org.apache.bcel.ExceptionConst.EXCS

All Implemented Interfaces:
  `Serializable, Comparable<ExceptionConst.EXCS>`

Enclosing class:
  `ExceptionConst`

public static enum ExceptionConst.EXCS extends Enum<ExceptionConst.EXCS>
Enum corresponding to the various Exception Class arrays, used by `ExceptionConst.createExceptions(EXCS, Class...)`.

Since:
  6.0 (intended to replace the InstructionConstant interface)

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCS_ARRAY_EXCEPTION`
  Exception array exception.
  `EXCS_CLASS_AND_INTERFACE_RESOLUTION`
  Exception class and interface resolution.
  `EXCS_FIELD_AND_METHOD_RESOLUTION`
  Exception field and method resolution.
  `EXCS_INTERFACE_METHOD_RESOLUTION`
  Exception interface method resolution.
  `EXCS_STRING_RESOLUTION`
  Exception string resolution.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExceptionConst.EXCS`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ExceptionConst.EXCS[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXCS_CLASS_AND_INTERFACE_RESOLUTION

    public static final ExceptionConst.EXCS EXCS_CLASS_AND_INTERFACE_RESOLUTION
    Exception class and interface resolution.

  - ### EXCS_FIELD_AND_METHOD_RESOLUTION

    public static final ExceptionConst.EXCS EXCS_FIELD_AND_METHOD_RESOLUTION
    Exception field and method resolution.

  - ### EXCS_INTERFACE_METHOD_RESOLUTION

    public static final ExceptionConst.EXCS EXCS_INTERFACE_METHOD_RESOLUTION
    Exception interface method resolution.

  - ### EXCS_STRING_RESOLUTION

    public static final ExceptionConst.EXCS EXCS_STRING_RESOLUTION
    Exception string resolution.

  - ### EXCS_ARRAY_EXCEPTION

    public static final ExceptionConst.EXCS EXCS_ARRAY_EXCEPTION
    Exception array exception.

- ## Method Details

  - ### values

    public static ExceptionConst.EXCS[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ExceptionConst.EXCS valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null